Package org.apache.sling.sitemap.builder

## Interface Sitemap

All Known Implementing Classes:
  `SitemapImpl`

    @ProviderType
    public interface Sitemap

A builder-like object that allows to add locations. For each added location an `Url` object is returned which again allows to add more details to the added location.

Implementations may build an in-memory data structure when `addUrl(String)` is called, or write each location on an underlying stream immediately.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull Url` `addUrl​(@NotNull String location)` Adds a location to the `Sitemap`.

### Method Detail

#### addUrl

    @NotNull
    @NotNull Url addUrl​(@NotNull
                        @NotNull String location)
                 throws SitemapException

Adds a location to the `Sitemap`. The returned `Url` can be used to add more details to the so created object.

Parameters:
  `location` - the required location of the entry to add.
Returns:
  an `Url` object giving access to the location's details
Throws:
  `SitemapException` - if any internal operation of the Sitemap fails